<?php
// header('Content-type: application/json; charset=utf-8');
// header("Access-Control-Allow-Credentials: false");
// header("Access-Control-Allow-Origin: ");
// header("Access-Control-Allow-Methods: GET,HEAD,OPTIONS,POST,PUT");
// header("Access-Control-Allow-Headers:");

require __DIR__.'/../vendor/autoload.php';
require __DIR__.'/../vendor/zeedhi/framework/bootstrap.php';
require __DIR__.'/../vendor/teknisa/pebLibraries/bootstrap.php';
require __DIR__.'/../vendor/teknisa/libraries-next/scripts/bootstrap.php';

use Doctrine\DBAL\Types\Type;

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$instanceManager->loadFromFile(__DIR__.'/../config/parameters.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/environment.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/fileServer.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/report.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/services.xml');

$instanceManager->loadFromFile(__DIR__.'/../config/controllers.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/db.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/general.xml');
$instanceManager->loadFromFile(__DIR__.'/../vendor/teknisa/pebLibraries/config/pebLib.xml');


$routes = array();
$routes[] = __DIR__.'/../config/routes.json';
$routes[] = __DIR__.'/../vendor/teknisa/pebLibraries/config/pebLib.json';
$routes[] = __DIR__.'/../vendor/teknisa/libraries-next/libRoutes.json';

$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));
$instanceManager->compile();
useSetform2Classes($instanceManager);

function useSetform2Classes($instanceManager) {
	Type::overrideType(Type::DATE, 'Setforms2\Shared\ORM\DateType');
	Type::overrideType(Type::DATETIME, 'Setforms2\Shared\ORM\DateTimeType');

  // $entity_manager = $instanceManager->getService('entityManager');
  // \Setforms2\Shared\Registry::store("EntityManager", $entity_manager);
  // \Setforms2\Shared\Registry::store("EntityManagerConnection", $entity_manager->getConnection());
}

/** @var \Zeedhi\Framework\Application $app */
$app = $instanceManager->getService('application');
$app->run();
